JACKTRIP(1)

NAME
JackTrip - high-quality system for audio network performances

SYNOPSIS
jacktrip [-s|-c|-S|-C hostIPAddressOrURL] [options]

DESCRIPTION
JackTrip: A System for High-Quality Audio Network Performance over the Internet Copyright © 2008-2021 Juan-Pablo Caceres, Chris Chafe. SoundWIRE group at CCRMA, Stanford University This build of JackTrip is subject to LGPL license. JackTrip source code is released under MIT and GPL licenses. See LICENSE.md file for more information. VERSION: 1.4.2

OPTIONS

  REQUIRED ARGUMENTS: One of:

-s, --server
    Run in P2P Server Mode

-c, --client <peer_hostname_or_IP_num>
    Run in P2P Client Mode

-S, --jacktripserver
    Run in Hub Server Mode

-C, --pingtoserver <peer_name_or_IP>
    Run in Hub Client Mode

  OPTIONAL ARGUMENTS:

-n, --numchannels #
    Number of Input and Output Channels (# greater than 0, default: 2)

--receivechannels #
    Number of receive Channels from the network (# greater than 0)

--sendchannels #
    Number of send Channels to the network (# greater than 0)

-q, --queue # (2 or more)
    Queue Buffer Length, in Packet Size (default: 4)

-r, --redundancy # (1 or more)
    Packet Redundancy to avoid glitches with packet losses (default: 1)

-o, --portoffset #
    Receiving bind port and peer port offset from default 4464

-B, --bindport #
    Set only the bind port number (default: 4464)

-P, --peerport #
    Set only the peer port number (default: 4464)

-U, --udpbaseport
    Set only the server udp base port number (default: 61002)

-b, --bitres # (8, 16, 24, 32)
    Audio Bit Rate Resolutions (default: 16, 32 uses floating-point)

-p, --hubpatch # (0, 1, 2, 3, 4, 5)
    Hub auto audio patch, only has effect if running HUB SERVER mode, 0=server-to-clients, 1=client loopback, 2=client fan out/in but not loopback, 3=reserved for TUB, 4=full mix, 5=no auto patching (default: 0)

-z, --zerounderrun
    Set buffer to zeros when underrun occurs (default: wavetable)

-t, --timeout
    Quit after 10 seconds of no network activity

-l, --loopback
    Run in Loop-Back Mode

-j, --jamlink
    Run in JamLink Mode (Connect to a JamLink Box)

-J, --clientname
    Change default client name (default: JackTrip)

-K, --remotename
    Change default remote client name when connecting to a hub server (the default is derived from this computer's external facing IP address)

--appendthreadid
    Append thread ID to client names

-L, --localaddress
    Change default local host IP address (default: 127.0.0.1)

-D, --nojackportsconnect
    Don't connect default audio ports in jack

--bufstrategy # (0, 1, 2)
    Use alternative jitter buffer

--broadcast <broadcast_queue>
    Duplicate receive ports with the specified broadcast_queue length. Broadcast outputs have higher latency but less packet loss.

--udprt
    Use RT thread priority for network I/O

  OPTIONAL SIGNAL PROCESSING:

-f, --effects # | paramString | help
    Turn on incoming and/or outgoing compressor and/or reverb in Client - see `-f help' for details

-O, --overflowlimiting i|o[w]|io[w]|n|help
    Use audio limiter(s) in Client, i=incoming from network, o=outgoing to network, io=both, n=no limiters, w=warn if limiting (default=n). Say -O help for more.

-a, --assumednumclients help|# (1,2,..)
    Assumed number of Clients (sources) mixing at Hub Server (otherwise 2 assumed by -O)

  ARGUMENTS TO DISPLAY IO STATISTICS:

-I, --iostat <time_in_secs>
    Turn on IO stat reporting with specified interval (in seconds)

-G, --iostatlog <log_file>
    Save stat log into a file (default: print in stdout)

-x, --examine-audio-delay <print_interval_in_secs> | help
    Print round-trip audio delay statistics. See `-x help' for details.

  ARGUMENTS TO SIMULATE NETWORK ISSUES:

--simloss <rate>
    Simulate packet loss

--simjitter <rate>,<d>
    Simulate jitter, d is max delay in packets

  ARGUMENTS FOR HUB CLIENT/SERVER AUTHENTICATION:

-A, --auth
    Use authentication on the client side, or require it on the server side

--certfile
    The certificate file to use on the hub server

--keyfile
    The private key file to use on the hub server

--credsfile
    The file containing the stored usernames and passwords

--username
    The username to use when connecting as a hub client (if not supplied here, this is read from standard input)

--password
    The password to use when connecting as a hub client (if not supplied here, this is read from standard input)

  HELP ARGUMENTS:

-v, --version
    Prints Version Number

-V, --verbose
    Verbose mode, prints debug messages

-h, --help
    Prints this Help

COPYRIGHT
Copyright © 2008-2021 Juan-Pablo Caceres, Chris Chafe. SoundWIRE group at CCRMA, Stanford University This build of JackTrip is subject to LGPL license. JackTrip source code is released under MIT and GPL licenses. See LICENSE.md file for more information.